curl --request POST \
--url https://api.galtea.ai/otel/traces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceSpans": [
{
"resource": {
"attributes": [
{}
]
},
"scopeSpans": [
{
"spans": [
{}
]
}
]
}
]
}
'{
"partialSuccess": {
"rejectedSpans": 123,
"errorMessage": "<string>"
}
}Receives an OTLP/JSON trace payload from the OTel Collector and persists spans as Galtea Trace records. Authenticated via standard API key (processAccessTokenMiddleware).
curl --request POST \
--url https://api.galtea.ai/otel/traces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"resourceSpans": [
{
"resource": {
"attributes": [
{}
]
},
"scopeSpans": [
{
"spans": [
{}
]
}
]
}
]
}
'{
"partialSuccess": {
"rejectedSpans": 123,
"errorMessage": "<string>"
}
}API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....
Show child attributes
Traces ingested (OTLP ExportTraceServiceResponse)
Show child attributes